package org.gcube.portlets.user.geoportaldataviewer.shared.products.model;

import java.io.Serializable;

import com.google.gwt.user.client.rpc.IsSerializable;

/**
 * The Class Record.
 *
 * @author Francesco Mangiacrapa at ISTI-CNR (francesco.mangiacrapa@isti.cnr.it)
 * 
 *         Nov 2, 2020
 */
public abstract class RecordDV implements Serializable, IsSerializable {


	/**
	 * 
	 */
	private static final long serialVersionUID = 2913726613820175679L;

	/** The id. */
	private Long id;

	/** The record type. */
	private String recordType;

	/** The version. */
	private String version = "1.0.0";

	/** The licenza ID. */
	private String licenzaID;

	private String policy;

	/** The nome. */
	// Nome del progetto
	private String nome;

	/** The folder id. */
	// Storage Info
	private String folderId;

	/** The last update time. */
	// Accounting
	private String lastUpdateTime;

	/** The last update user. */
	private String lastUpdateUser;

	/** The creation time. */
	private String creationTime;

	/** The creation user. */
	private String creationUser;

	/**
	 * Instantiates a new record.
	 */
	public RecordDV() {

	}

	/**
	 * Gets the id.
	 *
	 * @return the id
	 */
	public Long getId() {
		return id;
	}

	/**
	 * Sets the id.
	 *
	 * @param id the new id
	 */
	public void setId(Long id) {
		this.id = id;
	}

	/**
	 * Gets the record type.
	 *
	 * @return the record type
	 */
	public String getRecordType() {
		return recordType;
	}

	/**
	 * Sets the record type.
	 *
	 * @param recordType the new record type
	 */
	public void setRecordType(String recordType) {
		this.recordType = recordType;
	}

	/**
	 * Gets the version.
	 *
	 * @return the version
	 */
	public String getVersion() {
		return version;
	}

	/**
	 * Sets the version.
	 *
	 * @param version the new version
	 */
	public void setVersion(String version) {
		this.version = version;
	}

	/**
	 * Gets the licenza ID.
	 *
	 * @return the licenza ID
	 */
	public String getLicenzaID() {
		return licenzaID;
	}

	/**
	 * Sets the licenza ID.
	 *
	 * @param licenzaID the new licenza ID
	 */
	public void setLicenzaID(String licenzaID) {
		this.licenzaID = licenzaID;
	}

	/**
	 * Gets the accesso.
	 *
	 * @return the accesso
	 */
	public String getPolicy() {
		return policy;
	}

	/**
	 * Sets the accesso.
	 *
	 * @param policy the new policy
	 */
	public void setPolicy(String policy) {
		this.policy = policy;
	}

	/**
	 * Gets the nome.
	 *
	 * @return the nome
	 */
	public String getNome() {
		return nome;
	}

	/**
	 * Sets the nome.
	 *
	 * @param nome the new nome
	 */
	public void setNome(String nome) {
		this.nome = nome;
	}

	/**
	 * Gets the folder id.
	 *
	 * @return the folder id
	 */
	public String getFolderId() {
		return folderId;
	}

	/**
	 * Sets the folder id.
	 *
	 * @param folderId the new folder id
	 */
	public void setFolderId(String folderId) {
		this.folderId = folderId;
	}

	/**
	 * Gets the last update time.
	 *
	 * @return the last update time
	 */
	public String getLastUpdateTime() {
		return lastUpdateTime;
	}

	/**
	 * Sets the last update time.
	 *
	 * @param lastUpdateTime the new last update time
	 */
	public void setLastUpdateTime(String lastUpdateTime) {
		this.lastUpdateTime = lastUpdateTime;
	}

	/**
	 * Gets the last update user.
	 *
	 * @return the last update user
	 */
	public String getLastUpdateUser() {
		return lastUpdateUser;
	}

	/**
	 * Sets the last update user.
	 *
	 * @param lastUpdateUser the new last update user
	 */
	public void setLastUpdateUser(String lastUpdateUser) {
		this.lastUpdateUser = lastUpdateUser;
	}

	/**
	 * Gets the creation time.
	 *
	 * @return the creation time
	 */
	public String getCreationTime() {
		return creationTime;
	}

	/**
	 * Sets the creation time.
	 *
	 * @param creationTime the new creation time
	 */
	public void setCreationTime(String creationTime) {
		this.creationTime = creationTime;
	}

	/**
	 * Gets the creation user.
	 *
	 * @return the creation user
	 */
	public String getCreationUser() {
		return creationUser;
	}

	/**
	 * Sets the creation user.
	 *
	 * @param creationUser the new creation user
	 */
	public void setCreationUser(String creationUser) {
		this.creationUser = creationUser;
	}

	@Override
	public String toString() {
		StringBuilder builder = new StringBuilder();
		builder.append("RecordDV [id=");
		builder.append(id);
		builder.append(", recordType=");
		builder.append(recordType);
		builder.append(", version=");
		builder.append(version);
		builder.append(", licenzaID=");
		builder.append(licenzaID);
		builder.append(", policy=");
		builder.append(policy);
		builder.append(", nome=");
		builder.append(nome);
		builder.append(", folderId=");
		builder.append(folderId);
		builder.append(", lastUpdateTime=");
		builder.append(lastUpdateTime);
		builder.append(", lastUpdateUser=");
		builder.append(lastUpdateUser);
		builder.append(", creationTime=");
		builder.append(creationTime);
		builder.append(", creationUser=");
		builder.append(creationUser);
		builder.append("]");
		return builder.toString();
	}

}
